CREATE TABLE `SPORTS_AHL_TEAMS_SEASON_GOALIES` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `win` TINYINT(3) UNSIGNED DEFAULT NULL,
  `loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ot_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals_against` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shots_against` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shutout` TINYINT(3) UNSIGNED DEFAULT NULL,
  `minutes_played` MEDIUMINT(8) UNSIGNED DEFAULT NULL,
  `so_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`team_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_TEAMS_SEASON_SKATERS` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `assists` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `plus_minus` SMALLINT(6) DEFAULT NULL,
  `pims` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pp_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_opps` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pk_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pk_kills` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pk_opps` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `sh_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `so_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`team_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_TEAMS_SEASON_GOALIES_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `win` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `ot_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `goals_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shots_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `saves` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `save_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `goals_against_avg` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shutout` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `minutes_played` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_goals_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_shots_against` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_saves` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_save_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `assists` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `points` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pims` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  PRIMARY KEY (`season`,`season_type`,`team_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_TEAMS_SEASON_SKATERS_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `stat_dir` ENUM('for','against') COLLATE latin1_general_ci NOT NULL,
  `goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `assists` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `points` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `plus_minus` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pims` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_assists` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_points` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_opps` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pp_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pk_goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pk_kills` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pk_opps` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `pk_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `sh_goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `sh_assists` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `sh_points` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shots` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `shot_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_goals` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_shots` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  `so_pct` TINYINT(3) UNSIGNED NOT NULL DEFAULT 99,
  PRIMARY KEY (`season`,`season_type`,`team_id`,`stat_dir`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
